Hooks:PostHook( WeaponFactoryTweakData, "init", "QBU88ModInit", function(self)

	self.parts.wpn_fps_snp_qbu88_bodybolt.adds = {"wpn_fps_snp_qbu88_rails"}

	self.parts.wpn_fps_snp_qbu88_ironsight.stance_mod = {
		wpn_fps_snp_qbu88 = {
			translation = Vector3(0.150, 0, -1.625),
			rotation = Rotation(0, 0, 0)
		}
	}
	
	self.parts.wpn_fps_snp_qbu88_a_magnum.has_description = true
	self.parts.wpn_fps_snp_qbu88_a_magnum.custom_stats = {
		ammo_pickup_min_mul = 0.5,
		ammo_pickup_max_mul = 0.75
	}
	
	self.parts.wpn_fps_snp_qbu88_ns_supp.sound_switch = {suppressed = "suppressed_a"}
	
	self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_snp_qbu88 = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_snp_wa2000)
	self.parts.wpn_fps_upg_o_aimpoint.stance_mod.wpn_fps_snp_qbu88 = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_snp_wa2000)
	self.parts.wpn_fps_upg_o_aimpoint_2.stance_mod.wpn_fps_snp_qbu88 = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_snp_wa2000)
	self.parts.wpn_fps_upg_o_docter.stance_mod.wpn_fps_snp_qbu88 = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_snp_wa2000)
	self.parts.wpn_fps_upg_o_eotech.stance_mod.wpn_fps_snp_qbu88 = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_snp_wa2000)
	self.parts.wpn_fps_upg_o_t1micro.stance_mod.wpn_fps_snp_qbu88 = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_snp_wa2000)
	self.parts.wpn_fps_upg_o_cmore.stance_mod.wpn_fps_snp_qbu88 = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_snp_wa2000)
	self.parts.wpn_fps_upg_o_acog.stance_mod.wpn_fps_snp_qbu88 = deep_clone(self.parts.wpn_fps_upg_o_acog.stance_mod.wpn_fps_snp_wa2000)
	self.parts.wpn_fps_upg_o_cs.stance_mod.wpn_fps_snp_qbu88 = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_snp_wa2000)
	self.parts.wpn_fps_upg_o_eotech_xps.stance_mod.wpn_fps_snp_qbu88 = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_snp_wa2000)
	self.parts.wpn_fps_upg_o_reflex.stance_mod.wpn_fps_snp_qbu88 = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_snp_wa2000)
	self.parts.wpn_fps_upg_o_rx01.stance_mod.wpn_fps_snp_qbu88 = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_snp_wa2000)
	self.parts.wpn_fps_upg_o_rx30.stance_mod.wpn_fps_snp_qbu88 = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_snp_wa2000)
	self.parts.wpn_fps_upg_o_shortdot.stance_mod.wpn_fps_snp_qbu88 = deep_clone(self.parts.wpn_fps_upg_o_shortdot.stance_mod.wpn_fps_snp_wa2000)
	self.parts.wpn_fps_upg_o_leupold.stance_mod.wpn_fps_snp_qbu88 = deep_clone(self.parts.wpn_fps_upg_o_leupold.stance_mod.wpn_fps_snp_wa2000)
	self.parts.wpn_fps_upg_o_45iron.stance_mod.wpn_fps_snp_qbu88 = deep_clone(self.parts.wpn_fps_upg_o_45iron.stance_mod.wpn_fps_snp_wa2000)
	self.parts.wpn_fps_upg_o_45rds.stance_mod.wpn_fps_snp_qbu88 = deep_clone(self.parts.wpn_fps_upg_o_45rds.stance_mod.wpn_fps_snp_wa2000)
	self.parts.wpn_fps_upg_o_spot.stance_mod.wpn_fps_snp_qbu88 = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_snp_wa2000)
	self.parts.wpn_fps_upg_o_box.stance_mod.wpn_fps_snp_qbu88 = deep_clone(self.parts.wpn_fps_upg_o_box.stance_mod.wpn_fps_snp_wa2000)
	self.parts.wpn_fps_upg_o_xpsg33_magnifier.stance_mod.wpn_fps_snp_qbu88 = deep_clone(self.parts.wpn_fps_upg_o_xpsg33_magnifier.stance_mod.wpn_fps_snp_wa2000)
	self.parts.wpn_fps_upg_o_45rds_v2.stance_mod.wpn_fps_snp_qbu88 = deep_clone(self.parts.wpn_fps_upg_o_45rds.stance_mod.wpn_fps_snp_wa2000)
end )